> For the complete documentation index, see [llms.txt](https://docs.lsports.eu/u/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lsports.eu/u/trade/integration/apis/snapshot.md).

# Snapshot

Request full data snapshots for live and pre-match events

The Snapshot API is designed to provide real-time, comprehensive data snapshots of ongoing sports events. This API allows you to request detailed information about live events, enabling you to capture the current state of a fixture, including live scores, markets, and settlement data.<br>

The Snapshot API should be used primarily when you are not in sync with the RabbitMQ feed. It serves as a fallback mechanism to ensure you can access the latest data when needed.

## **How to Use the Snapshot API**

You can request a snapshot from our API service using the following endpoints:

**Method**: POST\
**InPlay URL**: `https://stm-snapshot.lsports.eu/InPlay/{action}`\
**PreMatch URL**: `https://stm-snapshot.lsports.eu/PreMatch/{action}`

### **Request Limitations**

These limits apply to both the InPlay and PreMatch snapshot endpoints.

* **Full Requests Without Filters**: Allowed once every 15 seconds.
* **Filtered Requests**: Allowed once per second.
* **Fixture Snapshot Availability**: Snapshots for fixtures that ended more than 24 hours before the request will not be available.
* **General API Call Limit**: Limited to 1 call per second for all types of requests combined.

### Time Filtering Behavior

The API supports **three filtering parameters**:

* `fromDate` and `toDate` filter **fixtures by their scheduled start date**. If you don't set them, you get all the fixtures.
* `timestamp` filters **only the markets and settlements updated since the specified time**.

These filters are **independent**. Here's how they work together:

* If you set `fromDate`/`toDate` **without** `timestamp`, you receive **all data** (live scores, markets, settlements) for fixtures within the date range.
* If you set `fromDate`/`toDate` **and** `timestamp,`you get those fixtures, but **only the markets and settlements changed since the timestamp**.
* If you set **only** `timestamp,`you get **all fixtures**, but again, **only updated markets and settlements** are included (fixtures without any changes will still be returned, but without market data).

#### Best Practice

For recovery purposes, it is recommended to use **only the `timestamp` filter**, so you receive all updates since the time your system lost connection.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lsports.eu/u/trade/integration/apis/snapshot.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
